class SettingRowData {
/*
{
  "SettingId": 1,
  "SettingName": "Chờ xác nhận",
  "SettingImage": "https://cdn-icons-png.flaticon.com/512/411/411786.png"
}
*/

  int? settingId;
  String? settingName;
  String? settingImage;

  SettingRowData({
    this.settingId,
    this.settingName,
    this.settingImage,
  });
  SettingRowData.fromJson(Map<String, dynamic> json) {
    settingId = json["SettingId"]?.toInt();
    settingName = json["SettingName"]?.toString();
    settingImage = json["SettingImage"]?.toString();
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["SettingId"] = settingId;
    data["SettingName"] = settingName;
    data["SettingImage"] = settingImage;
    return data;
  }
}

class SettingRowResponse {
/*
{
  "totalRecord": 1,
  "isSuccess": true,
  "errorMesssage": null,
  "Data": [
    {
      "SettingId": 1,
      "SettingName": "Chờ xác nhận",
      "SettingImage": "https://cdn-icons-png.flaticon.com/512/411/411786.png"
    }
  ],
  "message": null
}
*/

  int? totalRecord;
  bool? isSuccess;
  String? errorMesssage;
  List<SettingRowData>? data;
  String? message;

  SettingRowResponse({
    this.totalRecord,
    this.isSuccess,
    this.errorMesssage,
    this.data,
    this.message,
  });
  SettingRowResponse.fromJson(Map<String, dynamic> json) {
    totalRecord = json["totalRecord"]?.toInt();
    isSuccess = json["isSuccess"];
    errorMesssage = json["errorMesssage"]?.toString();
    if (json["Data"] != null) {
      final v = json["Data"];
      final arr0 = <SettingRowData>[];
      v.forEach((v) {
        arr0.add(SettingRowData.fromJson(v));
      });
      data = arr0;
    }
    message = json["message"]?.toString();
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["totalRecord"] = totalRecord;
    data["isSuccess"] = isSuccess;
    data["errorMesssage"] = errorMesssage;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data["Data"] = arr0;
    }
    data["message"] = message;
    return data;
  }
}
